Fingerprint_Card

Loading...
Searching...
No Matches
Zwipe.Test.Implementation.BuildArtifactInfoCollector Class Referencesealed
Inheritance diagram for Zwipe.Test.Implementation.BuildArtifactInfoCollector:
[legend]
Collaboration diagram for Zwipe.Test.Implementation.BuildArtifactInfoCollector:
[legend]

## Public Member Functions
BuildArtifactInfo | Collect (BuildArtifact artifact, BuildArtifactInfo previous=null, string tempFolderPath=null)

## Private Member Functions
BuildArtifactInfo | Create (BuildArtifactInfo previous=null)
IEnumerable< File > | Collect (string path, File[] previousFiles=null)
IEnumerable< File > | CollectFromZip (string zipPath, File[] previousFiles=null, string tempFolderPath=null)

## Static Private Member Functions
static string | GetFileName (string path)
static string | GetPlatform (string path)
static string[] | GetCertificates (string path)
static void | CollectFileDetails (string path, File file)

## Member Function Documentation

## ◆ Collect() [1/2]

BuildArtifactInfo Zwipe.Test.Implementation.BuildArtifactInfoCollector.Collect | ( | BuildArtifact | artifact,
|  | BuildArtifactInfo | previous = null,
|  | string | tempFolderPath = null )

Implements Zwipe.Test.IBuildArtifactInfoCollector.

Here is the call graph for this function:

## ◆ Collect() [2/2]

IEnumerable< File > Zwipe.Test.Implementation.BuildArtifactInfoCollector.Collect | ( | string | path,
|  | File[] | previousFiles = null )
| private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ CollectFileDetails()

void Zwipe.Test.Implementation.BuildArtifactInfoCollector.CollectFileDetails | ( | string | path,
|  | File | file )
| static private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ CollectFromZip()

IEnumerable< File > Zwipe.Test.Implementation.BuildArtifactInfoCollector.CollectFromZip | ( | string | zipPath,
|  | File[] | previousFiles = null,
|  | string | tempFolderPath = null )
| private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ Create()

BuildArtifactInfo Zwipe.Test.Implementation.BuildArtifactInfoCollector.Create | ( | BuildArtifactInfo | previous = null | ) |
| private

Here is the caller graph for this function:

## ◆ GetCertificates()

string[] Zwipe.Test.Implementation.BuildArtifactInfoCollector.GetCertificates | ( | string | path | ) |
| static private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ GetFileName()

string Zwipe.Test.Implementation.BuildArtifactInfoCollector.GetFileName | ( | string | path | ) |
| static private

Here is the caller graph for this function:

## ◆ GetPlatform()

string Zwipe.Test.Implementation.BuildArtifactInfoCollector.GetPlatform | ( | string | path | ) |
| static private

Here is the call graph for this function:
Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- Zwipe.Test/Implementation/BuildArtifactInfoCollector.cs